# DAEpy

DAEpy is a Python library for solving boundary value problems of differential algebraic equations with advanced and retarded (forward and backward) delays. It also contains routines for parameter continuation. The numerical method is based on collocation. This library was developed in the [Laboratory for Computation and Visualization in Mathematics and Mechanics](https://lcvmwww.epfl.ch/) at [EPFL](https://epfl.ch).

## Installation

DAEpy can be installed using pip

```
pip install daepy
```

It is recommended, but not necessary, to also install scikit-umfpack which contains a routine for solving sparse linear systems.

```
pip install scikit-umfpack
```

## Documentation

[Documentation](https://lcvmwww.epfl.ch/software/daepy) is available online, including [basic usage](https://lcvmwww.epfl.ch/software/daepy/index.html#usage) and some [examples](https://lcvmwww.epfl.ch/software/daepy/examples.html).
